## org.apache.bcel.verifier
Interface VerifierFactoryObserver

All Known Implementing Classes:
  TransitiveHull, VerifierFactoryListModel

    public interface VerifierFactoryObserver

VerifierFactoryObserver instances are notified when new Verifier instances are created.

Version:
  $Id: VerifierFactoryObserver.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `VerifierFactory.getVerifier(String)`, `VerifierFactory.getVerifiers()`, `VerifierFactory.attach(VerifierFactoryObserver)`, `VerifierFactory.detach(VerifierFactoryObserver)`

Method Summary
`void` `update(String s)` VerifierFactoryObserver instances are notified invoking this method.

Method Detail

### update

    void update(String s)

  VerifierFactoryObserver instances are notified invoking this method. The String argument is the fully qualified class name of a class a new Verifier instance created by the VerifierFactory operates on.

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.